#---------------------------------------------------------------------------------------------
#configuraciones propias de la ETL variables
#---------------------------------------------------------------------------------------------

ruta_fichero_parametros_comunes=/opt/etls/sc_vlci/{ENV}/DelTSOL_Valencia.properties
ruta_fichero_error=/opt/etls/sc_vlci/{ENV}/tmp/etl_jardineria_ind_inventario/e_inspecJardines.csv

filename_mask=JARDINES?*
file_extension=mdb

#SFTP
sftp_dir_origen=/{SFTP_ENV}/01.fichOrig/Jardines_Inventario/
sftp_dir_procesados=/{SFTP_ENV}/03.fichProc/Jardines_Inventario/

#Querys
query_IS_JAR_001_INV= SELECT Sum(JARDINES.superficie) AS nu_valor, SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2) AS distrito, JARDINES.BARRIO AS barrio, 'Mantenimiento Norte' AS Unidad_gestora, JARDINES.Tipologia AS Tipo FROM JARDINES GROUP BY SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2), JARDINES.BARRIO, JARDINES.Tipologia
query_IS_JAR_002_INV= SELECT Sum(ATRIBUTOS.VALOR) AS nu_Valor, SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2) AS distrito, jardines.barrio AS barrio, "mantenimiento Norte" AS desagregacion1, ATRIBUTOS.tipo AS desagregacion2, ATRIBUTOS.subtipo AS desagregacion3 FROM jardines INNER JOIN ATRIBUTOS ON jardines.CODIGO = ATRIBUTOS.CLAVE WHERE (((ATRIBUTOS.clave)=[jardines].[codigo]) AND ((ATRIBUTOS.objeto)="SUPERFICIE")) GROUP BY SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2), jardines.barrio, ATRIBUTOS.tipo, ATRIBUTOS.subtipo
query_IS_JAR_003_INV= SELECT Sum(ATRIBUTOS.VALOR) AS nu_Valor, SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2) AS distrito, "mantenimiento Norte" AS desagregacion1, jardines.Nombre AS desagregacion2, ATRIBUTOS.subtipo AS desagregacion3 FROM ATRIBUTOS INNER JOIN jardines ON ATRIBUTOS.CLAVE = jardines.CODIGO WHERE (((ATRIBUTOS.objeto)="superficie")) GROUP BY jardines.Nombre, SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2), ATRIBUTOS.subtipo
query_IS_JAR_004_INV= SELECT Sum(ATRIBUTOS.VALOR)/(SELECT Sum(JARDINES.superficie) AS nu_valor FROM JARDINES)*100 AS nu_Valor, SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2) AS distrito, jardines.barrio AS barrio, "mantenimiento Norte" AS desagregacion1, ATRIBUTOS.tipo AS desagregacion2, ATRIBUTOS.subtipo AS desagregacion3 FROM ATRIBUTOS, jardines WHERE (((ATRIBUTOS.clave)=[jardines].[codigo]) AND ((ATRIBUTOS.objeto)="VEGETACION")) GROUP BY SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2), jardines.barrio, ATRIBUTOS.tipo, ATRIBUTOS.subtipo
query_IS_JAR_006_INV= SELECT Count(jardines.CODIGO) AS nu_Valor, SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2) AS distrito, jardines.barrio AS barrio, "mantenimiento Norte" AS desagregacion1, jardines.Tipologia AS desagregacion2 FROM Jardines GROUP BY SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2), jardines.barrio, jardines.Tipologia
query_IS_JAR_010_INV= SELECT Sum(ATRIBUTOS.VALOR) AS nu_Valor, SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2) AS distrito, jardines.BARRIO AS barrio, "mantenimiento Norte" AS desagregacion1, ATRIBUTOS.tipo AS desagregacion2, ATRIBUTOS.SUBTIPO AS desagregacion3 FROM ATRIBUTOS INNER JOIN jardines ON ATRIBUTOS.CLAVE = jardines.CODIGO WHERE (((ATRIBUTOS.clave)=[jardines].[codigo]) AND ((ATRIBUTOS.objeto)="VEGETACION")) GROUP BY SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2), ATRIBUTOS.tipo, ATRIBUTOS.SUBTIPO, jardines.BARRIO
query_IS_JAR_012_INV= SELECT Sum(ATRIBUTOS.VALOR) AS nu_Valor, "mantenimiento Norte" AS desagregacion1, jardines.Nombre AS desagregacion2, ATRIBUTOS.subtipo AS desagregacion3 FROM ATRIBUTOS INNER JOIN jardines ON ATRIBUTOS.CLAVE = jardines.CODIGO WHERE (((ATRIBUTOS.objeto)="VEGETACION")) GROUP BY jardines.Nombre, ATRIBUTOS.subtipo
query_IS_JAR_013_INV= SELECT Sum(ATRIBUTOS.VALOR) AS nu_Valor, SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2) AS distrito, jardines.barrio AS barrio, "mantenimiento Norte" AS desagregacion1, ATRIBUTOS.tipo AS desagregacion2, ATRIBUTOS.subtipo AS desagregacion3 FROM ATRIBUTOS INNER JOIN jardines ON ATRIBUTOS.CLAVE = jardines.CODIGO WHERE (((ATRIBUTOS.clave)=[jardines].[codigo]) AND ((ATRIBUTOS.objeto)="MOBILIARIO")) GROUP BY SUBSTRING(CAST(CAST(CODIGO AS INTEGER) AS VARCHAR(10)),5,2), jardines.barrio, ATRIBUTOS.tipo, ATRIBUTOS.subtipo
query_IS_JAR_014_INV= SELECT Sum(ATRIBUTOS.VALOR) AS nu_Valor, "mantenimiento Norte" AS desagregacion1, ATRIBUTOS.tipo AS desagregacion2, ATRIBUTOS.subtipo AS desagregacion3 FROM jardines INNER JOIN ATRIBUTOS ON jardines.CODIGO = ATRIBUTOS.CLAVE WHERE (((ATRIBUTOS.objeto)="MOBILIARIO")) GROUP BY ATRIBUTOS.tipo, ATRIBUTOS.subtipo
query_IS_JAR_015_INV= SELECT CAST(SUM(ATRIBUTOS.VALOR) AS FLOAT)/(SELECT SUM( ATRIBUTOS.VALOR ) AS nu_Valor FROM ATRIBUTOS INNER JOIN jardines ON ATRIBUTOS.CLAVE = jardines.CODIGO WHERE ATRIBUTOS.OBJETO="MOBILIARIO")*100 AS nu_Valor, "mantenimiento Norte" AS desagregacion1, ATRIBUTOS.tipo AS desagregacion2, ATRIBUTOS.subtipo AS desagregacion3 FROM ATRIBUTOS INNER JOIN jardines ON ATRIBUTOS.CLAVE = jardines.CODIGO WHERE (((ATRIBUTOS.objeto)="MOBILIARIO")) GROUP BY ATRIBUTOS.tipo, ATRIBUTOS.subtipo

#Configuracion SEND MAIL
send_mail_to=integracionvlci@valencia.es